Package skyview.vo

# Class CatalogProcessor

java.lang.Object
skyview.process.Processor
skyview.vo.CatalogProcessor

All Implemented Interfaces:
  `Serializable`, `Component`

public class CatalogProcessor extends Processor

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CatalogProcessor()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`clearRequests()`
Empty the request hash
`ConeQuerier[]`
`getCatalogs()`
`String`
`getDescription()`
Get the description of this component.
`static CatalogProcessor`
`getLastProcessor()`
`String`
`getName()`
Get the name of this component.
`double[][]`
`getPixels()`
`int[]`
`getSymbols()`
`void`
`pixels(boolean doPrint)`
Transform the catalog positions into pixel positions.
`void`
`postProcess(Image[] inputs, Image output, int[] source, Sampler samp, DepthSampler dsamp)`
`void`
`process(Image[] inputs, Image output, int[] source, Sampler samp, DepthSampler dsamp)`
Start up the processing.
`void`
`updateHeader(nom.tam.fits.Header header)`
Update the FITS header to indicate what processing was done.
`boolean`
`updatesOutput()`
Does this processor actually modify the output array?
`void`
`waitForThreads()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CatalogProcessor

public CatalogProcessor()

## Method Details

### updatesOutput

public boolean updatesOutput()
Description copied from class: `Processor`
Does this processor actually modify the output array?

Specified by:
  `updatesOutput` in class `Processor`

### getName

public String getName()
Description copied from interface: `Component`
Get the name of this component.

### getDescription

public String getDescription()
Description copied from interface: `Component`
Get the description of this component.

### process

public void process(Image[] inputs, Image output, int[] source, Sampler samp, DepthSampler dsamp)
Start up the processing.

Specified by:
  `process` in class `Processor`
Parameters:
  `inputs` - The array of input survey images.
  `output` - The output user image
  `source` - An array giving the source image for each output pixel.
  `samp` - The sampler object used in processing.
  `dsamp` - The sampler in the energy dimension (often null).

### getLastProcessor

public static CatalogProcessor getLastProcessor()

### waitForThreads

public void waitForThreads()

### getCatalogs

public ConeQuerier[] getCatalogs()

### updateHeader

public void updateHeader(nom.tam.fits.Header header)
Update the FITS header to indicate what processing was done.

Specified by:
  `updateHeader` in class `Processor`

### pixels

public void pixels(boolean doPrint)
Transform the catalog positions into pixel positions.

### postProcess

public void postProcess(Image[] inputs, Image output, int[] source, Sampler samp, DepthSampler dsamp)

### getPixels

public double[][] getPixels()

### getSymbols

public int[] getSymbols()

### clearRequests

public static void clearRequests()
Empty the request hash